Subject: bug#23595: 25.1.50; file with chinese/japanse chars, vc-diff fails (HG, Git, RCS)

From: Uwe Brauer <[email-masked]>
Date: Mon, 23 May 2016 12:41:47 +0000

> On 05/21/2016 04:02 PM, Uwe Brauer wrote:

   > But even if we figure out why happens, you (Uwe) probably want Git,
   > Hg, etc, to treat this file as text, and not binary. Only then you'll
   > be able to get meaningful diffs. I don't have a specific advice on
   > that.

Right, but it is more dramatic. I don't care so much about the
difference for the (short) Asian text, but I do care about the fact that
now the file seems to be «doomed» in the sense that the diff of each and
every new commit ends up in Chinese, that is the file is considered as
binary from now on and that is really bad.

Strange that nobody noticed that before.
I am not sure what to do with this file.

Uwe